/**
 * The FASTStyle web component that takes attributes:
 * - css - a string version of the CSS to be applied to the parent web component, this can be omitted if the style-id has been used in the DOM as the cached value will be fetched
 * - style-id - a dataset attribute used as an identifier for the CSS attr string
 */
export default class FASTStyle extends HTMLElement {
    private static cache;
    private static hashIdDataSetName;
    private static supportsAdoptedStyleSheets;
    /**
     * @internal
     */
    connectedCallback(): void;
    /**
     * Register styles if they are not part of the cache and attach them
     */
    private registerStyles;
    /**
     * Memoize CSSStyleSheets
     */
    private memoizeAdoptedStylesheetStyles;
    /**
     * Attach CSSStyleSheets
     */
    private attachAdoptedStylesheetStyles;
    /**
     * Memoize css strings
     */
    private memoizeStyleElementStyles;
    /**
     * Attach style elements
     */
    private attachStyleElementStyles;
}
export declare const fastStyleTagName = "fast-style";
