/**
 * This file was heavily inspired by {@link https://github.com/lit/lit/tree/main/packages/labs/ssr}, with adjustments to render parse FAST elements.
 * Please see {@link ../ACKNOWLEDGEMENTS.md}
 */
import { ViewBehaviorFactory, ViewTemplate } from "@microsoft/fast-element";
import { Op } from "./op-codes.js";
declare module "parse5" {
    interface DefaultTreeElement {
        isDefinedCustomElement?: boolean;
    }
}
/**
 * Parses a template into a set of operation instructions
 * @param template - The template to parse
 */
export declare function parseTemplateToOpCodes(template: ViewTemplate): Op[];
export declare function parseStringToOpCodes(
/**
 * The string to parse
 */
templateString: string, factories: Record<string, ViewBehaviorFactory>, 
/**
 * Adjust behavior when parsing a template used
 * as a custom element's template
 */
forCustomElement?: boolean): Op[];
