import { HTMLTemplateCompilationResult, ViewBehaviorFactory } from "@microsoft/fast-element";
import { Op, TemplateElementOpenOp } from "./template-parser/op-codes.js";
/**
 * SSR implementation of {@link @microsoft/fast-element#HTMLView}. Due to
 * drastic type difference requirements, it does not extend it directly. Most
 * methods are no-op. SSR op-codes are created during construction to be used
 * by the ElementRenderer.
 */
export declare class SSRView {
    readonly html: string;
    readonly factories: Record<string, ViewBehaviorFactory>;
    result: HTMLTemplateCompilationResult | null;
    codes: Op[];
    hostStaticAttributes?: TemplateElementOpenOp["staticAttributes"];
    hostDynamicAttributes?: TemplateElementOpenOp["dynamicAttributes"];
    constructor(html: string, factories: Record<string, ViewBehaviorFactory>);
    createView(): this;
    bind(): void;
    unbind(): void;
    appendTo(): void;
    static isSSRView(view: any): view is SSRView;
}
